メインコンテンツへスキップ
POST
/
crm-object-schemas
/
2026-03
/
schemas
新しいカスタムオブジェクトスキーマを作成します。
curl --request POST \
  --url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowsSensitiveProperties": true,
  "associatedObjects": [
    "<string>"
  ],
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "properties": [
    {
      "fieldType": "<string>",
      "label": "<string>",
      "name": "<string>",
      "description": "<string>",
      "displayOrder": 123,
      "externalOptionsReferenceType": "<string>",
      "formField": true,
      "groupName": "<string>",
      "hasUniqueValue": true,
      "hidden": true,
      "options": [
        {
          "displayOrder": 123,
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>"
        }
      ],
      "referencedObjectType": "<string>",
      "searchableInGlobalSearch": true,
      "showCurrencySymbol": true
    }
  ],
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "shouldCreateSameObjectAssociation": true,
  "description": "<string>",
  "primaryDisplayProperty": "<string>"
}
'
import requests

url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas"

payload = {
    "allowsSensitiveProperties": True,
    "associatedObjects": ["<string>"],
    "labels": {
        "plural": "<string>",
        "singular": "<string>"
    },
    "name": "<string>",
    "properties": [
        {
            "fieldType": "<string>",
            "label": "<string>",
            "name": "<string>",
            "description": "<string>",
            "displayOrder": 123,
            "externalOptionsReferenceType": "<string>",
            "formField": True,
            "groupName": "<string>",
            "hasUniqueValue": True,
            "hidden": True,
            "options": [
                {
                    "displayOrder": 123,
                    "hidden": True,
                    "label": "<string>",
                    "value": "<string>",
                    "description": "<string>"
                }
            ],
            "referencedObjectType": "<string>",
            "searchableInGlobalSearch": True,
            "showCurrencySymbol": True
        }
    ],
    "requiredProperties": ["<string>"],
    "searchableProperties": ["<string>"],
    "secondaryDisplayProperties": ["<string>"],
    "shouldCreateSameObjectAssociation": True,
    "description": "<string>",
    "primaryDisplayProperty": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    allowsSensitiveProperties: true,
    associatedObjects: ['<string>'],
    labels: {plural: '<string>', singular: '<string>'},
    name: '<string>',
    properties: [
      {
        fieldType: '<string>',
        label: '<string>',
        name: '<string>',
        description: '<string>',
        displayOrder: 123,
        externalOptionsReferenceType: '<string>',
        formField: true,
        groupName: '<string>',
        hasUniqueValue: true,
        hidden: true,
        options: [
          {
            displayOrder: 123,
            hidden: true,
            label: '<string>',
            value: '<string>',
            description: '<string>'
          }
        ],
        referencedObjectType: '<string>',
        searchableInGlobalSearch: true,
        showCurrencySymbol: true
      }
    ],
    requiredProperties: ['<string>'],
    searchableProperties: ['<string>'],
    secondaryDisplayProperties: ['<string>'],
    shouldCreateSameObjectAssociation: true,
    description: '<string>',
    primaryDisplayProperty: '<string>'
  })
};

fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "allowsSensitiveProperties": true,
  "archived": true,
  "associations": [
    {
      "fromObjectTypeId": "<string>",
      "id": "<string>",
      "toObjectTypeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "properties": [
    {
      "description": "<string>",
      "fieldType": "<string>",
      "groupName": "<string>",
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>",
          "displayOrder": 123
        }
      ],
      "type": "<string>",
      "archived": true,
      "archivedAt": "2023-11-07T05:31:56Z",
      "calculated": true,
      "calculationFormula": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": "<string>",
      "currencyPropertyName": "<string>",
      "displayOrder": 123,
      "externalOptions": true,
      "formField": true,
      "hasUniqueValue": true,
      "hidden": false,
      "hubspotDefined": true,
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": true,
        "readOnlyValue": true,
        "readOnlyOptions": true
      },
      "referencedObjectType": "<string>",
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": "<string>"
    }
  ],
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "createdByUserId": 123,
  "description": "<string>",
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedByUserId": 123
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
allowsSensitiveProperties
boolean
必須

オブジェクトタイプにセンシティブとされたプロパティーを含めることができるかどうかを決定します。

associatedObjects
string[]
必須

このオブジェクトタイプについて定義された関連付け。

labels
object
必須
name
string
必須

このオブジェクトの重複しない名前。内部使用のみ。

properties
object[]
必須

このオブジェクトタイプについて定義されたプロパティー。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

searchableProperties
string[]
必須

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]
必須

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

shouldCreateSameObjectAssociation
boolean
必須
description
string

オブジェクトタイプの簡単な説明。

primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

レスポンス

successful operation

allowsSensitiveProperties
boolean
必須
archived
boolean
必須
associations
object[]
必須

特定のオブジェクトタイプについて定義された関連付け。

fullyQualifiedName
string
必須

ポータルIDやオブジェクト名を含む、オブジェクトの割り当てられた固有ID。

id
string
必須

このスキーマのオブジェクトタイプの固有ID。{meta-type}-{unique ID}として定義されます。

labels
object
必須
name
string
必須

スキーマのオブジェクトタイプの重複しない名前。

objectTypeId
string
必須
properties
object[]
必須

このオブジェクトタイプについて定義されたプロパティー。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

searchableProperties
string[]
必須

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]
必須

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

createdAt
string<date-time>

オブジェクトスキーマが作成された日時。

createdByUserId
integer<int32>
description
string
primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

updatedAt
string<date-time>

オブジェクトスキーマが最後に更新された日時。

updatedByUserId
integer<int32>
最終更新日 2026年4月10日